Sunday, September 23, 2007

openSUSE 10.3 RC1: problem with X11 and Java 6

I ran across a rather bazaar problem with Java 6 Update 2 and NetBeans 6. First, a copy of the terminal with the exception that was thrown when I tried to run NetBeans 6.

I then went googling for the error message:
java: xcb_xlib.c:52: xcb_xlib_unlock: Assertion `c->xlib.lock' failed.
I found the same problem and a solution on another forum, and the solution is to add the following to your environment:
Sure enough I added it to the local window's environment and it started right up. I need to add it to my login environment. In all the time I've run any distribution I've never run across the problem. They currently run just fine on openSUSE 10.2 and Ubuntu 7.04. Must be clean living and lots of dumb luck. Here's another one to check and see if it still exists when openSUSE 10.3 final is released.


  1. Hey there Bill. Thanks for posting this you helped fix my issue lickity split. I enjoy reading your blog.

    Thanks again
    MN Bob


All comments are checked. Comment SPAM will be blocked and deleted.

Note: Only a member of this blog may post a comment.